<?php
use UltraCommunity\Controllers\UserController;

if(empty($profileSection->Fields))
	return;

?>


<div class="uc-user-settings-profile-form-section">

	<div class="uc-grid uc-grid--full uc-grid--flex-cells uc-panel">

		<h3 class="uc-grid-cell uc-grid uc-grid--center uc-grid--fit uc-grid--flex-cells uc-panel-head">
			<span class="uc-grid-cell uc-grid--center uc-grid--justify-center uc-grid-cell--autoSize"><i class="fa fa-align-left"></i></span>
			<span class="uc-grid-cell"><?php echo $profileSection->Title; ?></span>
		</h3>


		<form autocomplete="off" class="uc-grid-cell uc-grid-cell--center uc-panel-content uc-form uc-settings-form" method="post">

			<div class="uc-form-body">

			<?php

				$optionalText =  esc_html__('optional', 'ultra-community');

				foreach ($profileSection->Fields as $sectionField)
				{
					$arrAdditionalAttributes = array();
					if(!UserController::currentUserCanEditProfileFormField($sectionField)){
						$arrAdditionalAttributes['disabled'] = 'disabled';
					}

					if(! $sectionField->IsRequired )
					{
						$arrAdditionalAttributes['placeholder'] =  sprintf('(%s)%s%s', $optionalText, empty($sectionField->PlaceHolder) ? '' : ' - ' , $sectionField->PlaceHolder);
					}



					$fieldOutputHtml = $sectionField->toHtmlOutput($arrAdditionalAttributes);
					$fieldOutputHtml = str_replace('uc-form-grouped-controls', 'uc-form-grouped-controls uc-grid-cell', $fieldOutputHtml);

					echo '<div class = "uc-grid uc-grid--center uc-grid--full">' . $fieldOutputHtml . '</div>';
				}
			?>

			</div>


			<div class="uc-form-footer">
				<div class="uc-grid uc-grid--fit uc-grid--flex-cells">
					<div class="uc-grid-cell uc-grid-cell--autoSize ">
						<button id="btnSaveProfileSectionChanges" class="uc-button uc-button-primary"><?php esc_html_e('Save Changes', 'ultra-community');?></button>
					</div>
					<div class="uc-grid-cell uc-grid-cell--autoSize uc-grid-cell--center">
						<div class="uc-ajax-loader uc-hidden">
							<div class="bounce-left"></div>
							<div class="bounce-middle"></div>
							<div class="bounce-right"></div>
						</div>
					</div>
					<div class="uc-grid-cell uc-notice-holder"></div>
				</div>

			</div>

		</form>

	</div>
</div>



